@font-face {
    font-family: 'Share Tech Mono';
    src: url('../assets/fonts/subset-ShareTechMono-Regular.woff2') format('woff2'),
        url('../assets/fonts/subset-ShareTechMono-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

:root{
    --primaryColor: #000000;
    --secondaryColor: #999999;
    --accent1: #BD00FF;
    --accent2: #55ffff;
    --white: #ffffff;
}


html {
    height: 100%;
}

body{
    background: var(--primaryColor);
    font-family: 'Share Tech Mono', monospace;
    margin: 0;
}

::selection {
    background: var(--accent2);
}
::-moz-selection {
    background: var(--accent2);
}

.pointer.logo, 
.pointer .sectionStyle span,
.pointer li span{
    cursor: pointer;
    /* background: red; */
}

h1{
    margin: 0;
}

/*********HEADER*********/

.header{
    border-bottom: dotted 1px var(--accent1);
    padding-left: calc(100vw - 100%);       /* to avoid shifts due to the appearance of the scrollbar */
    height: 70px;
    transition: height 1s;
}

.headerContainer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    margin: 0 auto;
    padding: 0 20px;
    max-width: 900px;
}

.header .logo{
    width: 150px;
    transition: width 1s;
}

.header .menu{
    display: flex;
    user-select: none;
}

.menu .sectionStyle{
    text-transform: uppercase;
    color: var(--white);
    font-size: 17px;
    transition: font-size 1s;
}

.menu .menuStyle:hover{
    text-decoration: underline;
}

.menu .menuSlash{
    color: var(--accent1);
    font-size: 17px;
    margin: 0px 10px;
    transition: font-size 1s;
}


/*********PAGE*********/

.page{
    margin-top: 30px;
    padding-left: calc(100vw - 100%); 
}

.page .pageContainer{
    margin: 0 auto;
    max-width: 900px;
    padding: 0 20px;
}

.page .pageContainer ul{
    margin: 0;
    padding: 0;
}

.page .pageContainer li{
    list-style: none;
    margin: 15px 0px;
}

.page .pageContainer li a{
    text-decoration: none;
    text-transform: uppercase;
    font-size: 17px;
    color: var(--accent1);
}

.page .pageContainer li a:hover{
    text-decoration: underline;
}

.page .pageContainer .tag{
    display: inline-block;
    margin-right: 10px;
    color: var(--white);
    width: 45px;
}


/*********ARTICLE*********/

.title{
    text-transform: uppercase;
    font-size: 17px;
    color: var(--accent1);
}

.textArticle{
    font-size: 17px;
    color: var(--white);
    margin-top: 30px;
    margin-bottom: 30px;
    line-height: 25px;
    overflow-wrap: break-word;
}

.mediaContainer{
    position: relative;
    width: 100%;
    padding-top: 56.25%;
}

.mediaContainer2{
    display: flex;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    overflow: hidden;
}

.mediaContainer2 video,
.mediaContainer2 iframe
{
    width: 100%;
    height: 100%;
}

.mediaContainer2 .imageArticle{
    height: 100%;
    object-fit: cover;
}

.mediaContainer2 .imageArticlePortrait{
    height: 100%;
    object-fit: cover;
}

.sources{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px;
    font-size: 12px;
    color: var(--secondaryColor);
    width: 100%;

}

.signature{
    text-transform: uppercase;
    font-size: 17px;
    color: var(--secondaryColor);
    margin-top: 50px;
    margin-bottom: 30px;
    padding-top: 20px;
    border-top: dotted 1px var(--accent1);
}


/*********RESPONSIVE*********/

@media (max-width: 970px) {
    .header{
        padding-left: 0; 
    }
    .page{
        padding-left: 0; 
    }
    .headerContainer{
        padding-right: calc(20px - (100vw - 100%));
    }
}

@media (max-width: 650px) {
    .menu .sectionStyle{
        font-size: 15px;
    }
    .menu .menuSlash{
        font-size: 15px;
        margin: 0px 5px;
    }
    .header .logo{
        width: 120px;
    }
}

@media (max-width: 550px) {
    .menu .sectionStyle{
        font-size: 13px;
    }
    .menu .menuSlash{
        font-size: 13px;
        margin: 0px 5px;
    }
}

@media (max-width: 500px) {
    .menu .sectionStyle{
        font-size: 11px;
    }
    .menu .menuSlash{
        font-size: 11px;
        margin: 0px 2px;
    }
    .header{
        height: 50px;
    }
}

@media (max-width: 400px) {
    .menu .sectionStyle{
        font-size: 9px;
    }
    .menu .menuSlash{
        font-size: 9px;
        margin: 0px;
    }
    .header{
        height: 40px;
    }
}